## ros-iron-generate-parameter-library-py 0.3.6

=== debian/changelog ===
ros-iron-generate-parameter-library-py (0.3.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 31 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.3.5-1jammy) jammy; urgency=high

  * Remove documentation of deprecated validator functions (#135 <https://github.com/PickNikRobotics/generate_parameter_library/issues/135>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.3.4-1jammy) jammy; urgency=high

  * Use node logger (#132 <https://github.com/PickNikRobotics/generate_parameter_library/issues/132>)
  * Fixed incorrect usage of fmt, causing compile errors (#127 <https://github.com/PickNikRobotics/generate_parameter_library/issues/127>)
  * Add pyyaml as dependency (#123 <https://github.com/PickNikRobotics/generate_parameter_library/issues/123>)
  * Fix Python install (#122 <https://github.com/PickNikRobotics/generate_parameter_library/issues/122>)
  * Use correct syntax highlighting (#121 <https://github.com/PickNikRobotics/generate_parameter_library/issues/121>)
  * ReST template (#119 <https://github.com/PickNikRobotics/generate_parameter_library/issues/119>)
  * Fix empty arguments case and add custom validator prompt (#117 <https://github.com/PickNikRobotics/generate_parameter_library/issues/117>)
  * Update markdown template (#116 <https://github.com/PickNikRobotics/generate_parameter_library/issues/116>)
  * Fix output in current folder (#115 <https://github.com/PickNikRobotics/generate_parameter_library/issues/115>)
  * Generate Markdown Docs for Parameters  (#111 <https://github.com/PickNikRobotics/generate_parameter_library/issues/111>)
  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Update .pre-commit-config.yaml (#108 <https://github.com/PickNikRobotics/generate_parameter_library/issues/108>)
  * Log when a parameter is set (#106 <https://github.com/PickNikRobotics/generate_parameter_library/issues/106>)
  * Contributors: Christoph Fröhlich, Paul Gesel, Tyler Weaver, mosfet80, sprenger120

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 24 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.3.3-1jammy) jammy; urgency=high

  * Fix Parameter Descriptor Incorrectly Populating Range Constraints for size_lt and size_gt (#105 <https://github.com/PickNikRobotics/generate_parameter_library/issues/105>)
  * Contributors: Chance Cardona

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 13 Apr 2023 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.3.2-1jammy) jammy; urgency=high

  * Populate Range Constraints in Parameter Descriptors from Validation Functions (#103 <https://github.com/PickNikRobotics/generate_parameter_library/issues/103>)
  * Mark deprecated rsl method and propose alternative in the docs. (#102 <https://github.com/PickNikRobotics/generate_parameter_library/issues/102>)
  * Allow none type (#99 <https://github.com/PickNikRobotics/generate_parameter_library/issues/99>)
  * Fixed tests never failing although file not found (#101 <https://github.com/PickNikRobotics/generate_parameter_library/issues/101>)
  * Contributors: Chance Cardona, Dr. Denis, GuiHome

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.3.1-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 01 Feb 2023 07:00:00 -0000

ros-iron-generate-parameter-library-py (0.3.0-1jammy) jammy; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Add missing dependency on PyYAML (#89 <https://github.com/PickNikRobotics/generate_parameter_library/issues/89>)
  * Contributors: Scott K Logan, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 15 Nov 2022 07:00:00 -0000

ros-iron-generate-parameter-library-py (0.2.8-1jammy) jammy; urgency=high

  * Use typing syntax which is compatible with Python 3.6 (#87 <https://github.com/PickNikRobotics/generate_parameter_library/issues/87>)
  * Use YAML loader which is compatible with PyYAML 3.12 (#88 <https://github.com/PickNikRobotics/generate_parameter_library/issues/88>)
  * Contributors: Scott K Logan

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 03 Nov 2022 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.2.7-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Oct 2022 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.2.6-1jammy) jammy; urgency=high

  * Depend on python dependencies in package.xml (#74 <https://github.com/PickNikRobotics/generate_parameter_library/issues/74>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 28 Sep 2022 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.2.5-1jammy) jammy; urgency=high

  * 🈵 Support use of '_' in mapped parameters. (#68 <https://github.com/PickNikRobotics/generate_parameter_library/issues/68>)
  * Test validators and fix bugs (#66 <https://github.com/PickNikRobotics/generate_parameter_library/issues/66>)
  * Fix deadlock in update_dynamic_parameters (#64 <https://github.com/PickNikRobotics/generate_parameter_library/issues/64>)
  * Parameter prefix (#55 <https://github.com/PickNikRobotics/generate_parameter_library/issues/55>)
  * Fix example parameters (#54 <https://github.com/PickNikRobotics/generate_parameter_library/issues/54>)
  * Contributors: Denis Štogl, Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 20 Sep 2022 06:00:00 -0000

ros-iron-generate-parameter-library-py (0.2.4-1jammy) jammy; urgency=high

  * INTEGER type (#53 <https://github.com/PickNikRobotics/generate_parameter_library/issues/53>)
  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 19 Aug 2022 06:00:00 -0000


